> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get community by ID or slug

> Retrieve a community by its ID or slug.



## OpenAPI

````yaml /openapi/integration.json get /communities/{identifier}
openapi: 3.0.3
info:
  title: Nudj Integration API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/integration
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security:
  - ApiToken: []
paths:
  /communities/{identifier}:
    get:
      tags:
        - Community
      summary: Get community by ID or slug
      description: Retrieve a community by its ID or slug.
      operationId: getCommunityByIdentifier
      parameters:
        - in: path
          name: identifier
          schema:
            type: string
          required: true
        - in: header
          name: x-language
          description: >-
            The language to return the community in. If not provided, the
            default language for the organisation will be used.
          schema:
            type: string
            description: >-
              The language to return the community in. If not provided, the
              default language for the organisation will be used.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Community'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    Community:
      type: object
      properties:
        id:
          type: string
          pattern: ^[0-9a-fA-F]{24}$
          description: The id of the community
        organisationId:
          type: string
          pattern: ^[0-9a-fA-F]{24}$
          description: The organisation that the community belongs to
        name:
          type: string
          description: The name of the community
        slug:
          type: string
          description: The slug of the community in format of only letters and hyphens
        descriptionConfig:
          type: object
          nullable: true
          properties:
            content:
              type: string
              nullable: true
              description: The description content (HTML/text)
            disableLineClamp:
              type: boolean
              nullable: true
              description: When true, shows the full description without line clamping
            maxLines:
              type: number
              nullable: true
              minimum: 1
              maximum: 10
              description: Maximum number of lines to show before clamping (1-10)
          description: The description configuration including content and display settings
        communityType:
          type: string
          enum:
            - Artist
            - Brand
            - Business
            - Cause
            - Community
            - Entertainment
            - Organisation
            - Place
            - Product
          description: The type of the community
        access:
          type: string
          enum:
            - open
            - request
          description: The access level of the community
        status:
          type: string
          enum:
            - archived
            - draft
            - expired
            - live
            - scheduled
          description: The status of the community
        links:
          allOf:
            - $ref: '#/components/schemas/CommunityLinks'
          nullable: true
          description: The links of the community
        style:
          type: object
          nullable: true
          properties:
            lightMode:
              type: object
              nullable: true
              properties:
                navbarLogo:
                  type: string
                  nullable: true
                logo:
                  type: string
                  nullable: true
                banner:
                  type: string
                  nullable: true
                theme:
                  type: object
                  nullable: true
                  additionalProperties: {}
                customCSS:
                  type: string
                  nullable: true
                favicon:
                  type: string
                  nullable: true
            darkMode:
              type: object
              nullable: true
              properties:
                navbarLogo:
                  type: string
                  nullable: true
                logo:
                  type: string
                  nullable: true
                banner:
                  type: string
                  nullable: true
                theme:
                  type: object
                  nullable: true
                  additionalProperties: {}
                customCSS:
                  type: string
                  nullable: true
                favicon:
                  type: string
                  nullable: true
            general:
              type: object
              nullable: true
              properties:
                primaryLanguage:
                  type: string
                  nullable: true
                  enum:
                    - english
                    - portuguese
                    - null
          description: The style of the community
        usersWaiting:
          type: array
          nullable: true
          items:
            type: string
          description: The users waiting for approval
        verified:
          type: boolean
          nullable: true
          description: Whether the community is verified
        termsAndConditionsUrl:
          type: string
          nullable: true
          format: uri
          description: The terms and conditions url of the community
        privacyPolicyUrl:
          type: string
          nullable: true
          format: uri
          description: The privacy policy url of the community
        additionalInformation:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/VariableConfigReference'
          description: >-
            Configurable form fields to collect additional user information when
            joining the community. Each field (e.g., email, phone, address) is
            defined by a variable config that specifies its type, validation
            rules, and display order.
        bannerTitle:
          type: string
          nullable: true
        bannerDescription:
          type: string
          nullable: true
        bannerButtonText:
          type: string
          nullable: true
        bannerHref:
          type: string
          nullable: true
          format: uri
        rules:
          allOf:
            - $ref: '#/components/schemas/CommunityRules'
          nullable: true
        requireMemberRole:
          type: boolean
          nullable: true
        featured:
          type: boolean
          nullable: true
        memberRequirements:
          type: array
          nullable: true
          items:
            oneOf:
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - age-member-requirement
                  minimumAge:
                    type: number
                  parentManaged:
                    type: boolean
                required:
                  - type
                  - minimumAge
                  - parentManaged
              - $ref: '#/components/schemas/CodeMemberRequirement'
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - variable-member-requirement
                  variableConfigId:
                    type: string
                  onlyRequiredIf:
                    type: array
                    nullable: true
                    items:
                      type: string
                      enum:
                        - minimum-age-not-met
                        - minimum-age-met
                required:
                  - type
                  - variableConfigId
        tags:
          type: array
          items:
            type: string
            pattern: ^[0-9a-fA-F]{24}$
          description: An array of objectId tagIds referencing the tags collection
        campaigns:
          type: array
          items:
            type: string
            pattern: ^[0-9a-fA-F]{24}$
          description: >-
            An array of objectId campaignIds referencing the campaigns
            collection
        customTabs:
          type: array
          items:
            $ref: '#/components/schemas/CustomTab'
          maxItems: 2
          description: Array of custom navigation tabs (maximum 2)
        availableAsTemplateForOrganisations:
          type: array
          nullable: true
          items:
            type: string
            pattern: ^[0-9a-fA-F]{24}$
          description: The organisations that the community is available as a template for
        isGlobalTemplate:
          type: boolean
          nullable: true
          description: Whether the community is a global template
        referralUrlOverride:
          type: string
          nullable: true
          format: uri
          description: The referral url override of the community
        startsAt:
          type: string
          nullable: true
          description: The date the community is set to be available publicly
        expiresAt:
          type: string
          nullable: true
          description: The date the community is set to be unavailable publicly
        createdAt:
          type: string
          nullable: true
          description: The date the community was created
        updatedAt:
          type: string
          nullable: true
          description: The date the community was last updated
        communityBackgroundImage:
          type: string
          nullable: true
          format: uri
          description: >-
            Background image URL for the community. Recommended size:
            1920x1080px (laptop screen size) or larger for optimal display
            across devices
      required:
        - id
        - organisationId
        - name
        - slug
        - communityType
        - access
        - status
        - tags
        - campaigns
        - customTabs
      title: Community
      description: A community
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  oneOf:
                    - type: string
                    - type: integer
                description: The path to the field that caused the error
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  oneOf:
                    - type: string
                    - type: integer
                description: The path to the field that caused the error
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  oneOf:
                    - type: string
                    - type: integer
                description: The path to the field that caused the error
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
    CommunityLinks:
      type: object
      properties:
        website:
          type: string
          nullable: true
          format: uri
          description: The website url of the community
        discord:
          type: string
          nullable: true
          format: uri
          description: The Discord url of the community
        douyin:
          type: string
          nullable: true
          format: uri
          description: The Douyin url of the community
        facebook:
          type: string
          nullable: true
          format: uri
          description: The Facebook url of the community
        instagram:
          type: string
          nullable: true
          format: uri
          description: The Instagram url of the community
        kuaishou:
          type: string
          nullable: true
          format: uri
          description: The Kuaishou url of the community
        linkedin:
          type: string
          nullable: true
          format: uri
          description: The LinkedIn url of the community
        messenger:
          type: string
          nullable: true
          format: uri
          description: The Messenger url of the community
        pinterest:
          type: string
          nullable: true
          format: uri
          description: The Pinterest url of the community
        qq:
          type: string
          nullable: true
          format: uri
          description: The QQ url of the community
        qzone:
          type: string
          nullable: true
          format: uri
          description: The Qzone url of the community
        quora:
          type: string
          nullable: true
          format: uri
          description: The Quora url of the community
        reddit:
          type: string
          nullable: true
          format: uri
          description: The Reddit url of the community
        snapchat:
          type: string
          nullable: true
          format: uri
          description: The Snapchat url of the community
        telegram:
          type: string
          nullable: true
          format: uri
          description: The Telegram url of the community
        tiktok:
          type: string
          nullable: true
          format: uri
          description: The TikTok url of the community
        twitter:
          type: string
          nullable: true
          format: uri
          description: The Twitter url of the community
        wechat:
          type: string
          nullable: true
          format: uri
          description: The WeChat url of the community
        weibo:
          type: string
          nullable: true
          format: uri
          description: The Weibo url of the community
        whatsapp:
          type: string
          nullable: true
          format: uri
          description: The WhatsApp url of the community
        youtube:
          type: string
          nullable: true
          format: uri
          description: The YouTube url of the community
      title: Community Links
      description: The links of the community
    VariableConfigReference:
      type: object
      properties:
        variableConfigId:
          type: string
          pattern: ^[0-9a-fA-F]{24}$
          description: >-
            The ID of the variable config that defines the data type, validation
            rules, and UI rendering
        required:
          type: boolean
          description: >-
            Whether this variable must be filled out by the user before
            proceeding
        position:
          type: number
          minimum: 1
          description: The display order position of this variable in the form or UI
      required:
        - variableConfigId
        - required
        - position
      title: Variable Config Reference
      description: >-
        A reference to a variable configuration that defines a form field or
        data collection point, including its display order, requirement status,
        and validation rules. Used to specify what information to collect from
        users in forms, communities, and other data collection contexts.
    CommunityRules:
      type: object
      properties:
        text:
          type: string
          nullable: true
          description: The text content of the community rules
        agreements:
          type: array
          nullable: true
          items:
            type: string
          description: Array of agreement statements that users must accept
      title: Community Rules
      description: Community rules with text content and agreement statements
    CodeMemberRequirement:
      type: object
      properties:
        type:
          type: string
          enum:
            - code-member-requirement
      required:
        - type
      title: CodeMemberRequirement
      description: A code member requirement
    CustomTab:
      type: object
      properties:
        title:
          type: string
          minLength: 1
          description: The display title for the tab
        url:
          type: string
          format: uri
          description: The URL the tab navigates to (HTTPS only)
        opensInNewTab:
          type: boolean
          description: Whether the link opens in a new tab
        position:
          type: integer
          minimum: 1
          description: >-
            The order in which the tab appears in the main navigation menu
            (1-based)
      required:
        - title
        - url
        - opensInNewTab
        - position
      title: Custom Tab
      description: A custom navigation tab with external link
  securitySchemes:
    ApiToken:
      type: apiKey
      in: header
      name: x-api-token

````